## org.eclipse.emf.ecore.xmi.impl
Class BasicResourceHandler

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler

All Implemented Interfaces:
  XMLResource.ResourceHandler

    public class BasicResourceHandler

extends java.lang.Object
implements XMLResource.ResourceHandler

This is the basic implementation of the ResourceHandler interface. Implementations need to extend this class to overwrite the ResourceHandler behaviour.

Constructor Summary
`BasicResourceHandler()`

Method Summary
`void` `postLoad(XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)` Called after loading is done.
`void` `postSave(XMLResource resource, java.io.OutputStream outputStream, java.util.Map<?,?> options)` Called before saving begins.
`void` `preLoad(XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)` Called before loading begins.
`void` `preSave(XMLResource resource, java.io.OutputStream outputStream, java.util.Map<?,?> options)` Called before saving begins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicResourceHandler

    public BasicResourceHandler()

Method Detail

### preLoad

    public void preLoad(XMLResource resource,
                        java.io.InputStream inputStream,
                        java.util.Map<?,?> options)

  Description copied from interface: `XMLResource.ResourceHandler`
  Called before loading begins.

  Specified by:
    `preLoad` in interface `XMLResource.ResourceHandler`
  Parameters:
    `resource` - the resource being loaded.
    `inputStream` - the stream being read.
    `options` - the load options.

### postLoad

    public void postLoad(XMLResource resource,
                         java.io.InputStream inputStream,
                         java.util.Map<?,?> options)

  Description copied from interface: `XMLResource.ResourceHandler`
  Called after loading is done.

  Specified by:
    `postLoad` in interface `XMLResource.ResourceHandler`
  Parameters:
    `resource` - the resource being loaded.
    `inputStream` - the stream being read.
    `options` - the load options.

### preSave

    public void preSave(XMLResource resource,
                        java.io.OutputStream outputStream,
                        java.util.Map<?,?> options)

  Description copied from interface: `XMLResource.ResourceHandler`
  Called before saving begins.

  Specified by:
    `preSave` in interface `XMLResource.ResourceHandler`
  Parameters:
    `resource` - the resource being saved.
    `outputStream` - the stream being written.
    `options` - the save options.

### postSave

    public void postSave(XMLResource resource,
                         java.io.OutputStream outputStream,
                         java.util.Map<?,?> options)

  Description copied from interface: `XMLResource.ResourceHandler`
  Called before saving begins.

  Specified by:
    `postSave` in interface `XMLResource.ResourceHandler`
  Parameters:
    `resource` - the resource being saved.
    `outputStream` - the stream being written.
    `options` - the save options.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.